Description

Hello,

I need to use authentication with Redmine.pm and mysql_sock.

Setting used in Apache config:

RedmineDSN "DBI:mysql:database=xxx;mysql_socket=/tmp/proxysql.sock"

RedmineDbUser "user"

RedmineDbPass "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"

Apache error.log message:

DBI connect('database=XXX;mysql_socket=/tmp/proxysql.sock','user',...) failed: Can't connect to local MySQL server through socket

'/tmp/proxysql.sock' (2) at /usr/share/perl5/Apache/Redmine.pm line 557.

My own little perl-script with same options und also using DBI is functional via socket also the redmine database config with sock

works.

System:

Ubuntu 18.04.4 LTS

Perl v5.26.1

#perl -V

Summary of my perl5 (revision 5 version 26 subversion 1) configuration:

Platform:

osname=linux

osvers=4.9.0

archname=x86_64-linux-gnu-thread-multi

uname='linux localhost 4.9.0 #1 smp debian 4.9.0 x86_64 gnulinux '

config_args='-Dusethreads -Duselargefiles -Dcc=x86_64-linux-gnu-gcc -Dcpp=x86_64-linux-gnu-cpp -Dld=x86_64-linux-gnu-gcc

-Dccflags=-DDEBIAN -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -fdebug-prefix-map=/build/perl-hx1dVS/perl-5.26.1=.

-fstack-protector-strong -Wformat -Werror=format-security -Dldflags= -Wl,-Bsymbolic-functions -Wl,-z,relro -Dlddlflags=-shared

-Wl,-Bsymbolic-functions -Wl,-z,relro -Dcccdlflags=-fPIC -Darchname=x86_64-linux-gnu -Dprefix=/usr -Dprivlib=/usr/share/perl/5.26

-Darchlib=/usr/lib/x86_64-linux-gnu/perl/5.26 -Dvendorprefix=/usr -Dvendorlib=/usr/share/perl5

-Dvendorarch=/usr/lib/x86_64-linux-gnu/perl5/5.26 -Dsiteprefix=/usr/local -Dsitelib=/usr/local/share/perl/5.26.1

-Dsitearch=/usr/local/lib/x86_64-linux-gnu/perl/5.26.1 -Dman1dir=/usr/share/man/man1 -Dman3dir=/usr/share/man/man3

-Dsiteman1dir=/usr/local/man/man1 -Dsiteman3dir=/usr/local/man/man3 -Duse64bitint -Dman1ext=1 -Dman3ext=3perl

-Dpager=/usr/bin/sensible-pager -Uafs -Ud_csh -Ud_ualarm -Uusesfio -Uusenm -Ui_libutil -Ui_xlocale -Uversiononly

-DDEBUGGING=-g -Doptimize=-O2 -dEs -Duseshrplib -Dlibperl=libperl.so.5.26.1'

#dpkg -l |grep apache

ii apache2 2.4.29-1ubuntu4.12 amd64 Apache HTTP Server

ii apache2-bin 2.4.29-1ubuntu4.12 amd64 Apache HTTP Server (modules and other binary files)

ii apache2-data 2.4.29-1ubuntu4.12 all Apache HTTP Server (common files)

ii apache2-utils 2.4.29-1ubuntu4.12 amd64 Apache HTTP Server (utility programs for web servers)

ii libapache-dbi-perl 1.12-1 all interface connecting apache server to database via perl's DBI

ii libapache2-mod-perl2 2.0.10-2ubuntu3.18.04.1 amd64 Integration of perl with the Apache2 web server

rc libapache2-mod-shib2 2.6.1+dfsg1-2 amd64 Federated web single sign-on system (Apache module)

ii libapache2-mod-svn 1.9.7-4ubuntu1 amd64 Apache Subversion server modules for Apache httpd
ii libapache2-reload-perl 0.13-1 all module for reloading Perl modules when changed on disk

History

#1 - 2020-03-13 04:51 - Go MAEDA

- Category changed from Database to SCM extra

#2 - 2020-03-19 11:57 - Dominik Bittl

Any idea?

#3 - 2020-05-19 13:40 - Dominik Bittl

- Status changed from New to Resolved

I have switched the Apache module from "mpm_event" to "mpm_prefork" now it works.
